summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Kurt Erickson2013-04-14 20:37:11 +0200
committer Robby Workman2013-04-16 00:20:35 +0200
commit92ea70abb465ff71516019432590613747b4cce4 (patch)
treed0b1e5a77cb7ff28e43de0aee7e4c9e887732d06 /system
parent04a36c5cf3c0a56275d0b275a6c9f3c529477e98 (diff)
downloadslackbuilds-92ea70abb465ff71516019432590613747b4cce4.tar.gz
system/udisks-glue: Added (associate events to user-defined actions)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/udisks-glue/README3
-rw-r--r--system/udisks-glue/slack-desc19
-rw-r--r--system/udisks-glue/udisks-glue.SlackBuild86
-rw-r--r--system/udisks-glue/udisks-glue.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/system/udisks-glue/README b/system/udisks-glue/README
new file mode 100644
index 0000000000..87eacc9bce
--- /dev/null
+++ b/system/udisks-glue/README
@@ -0,0 +1,3 @@
+udisks-glue is a tool that can associate udisks events to
+user-defined actions. In that sense, udisks-glue is almost
+"glue code", hence the name.
diff --git a/system/udisks-glue/slack-desc b/system/udisks-glue/slack-desc
new file mode 100644
index 0000000000..1f4879a643
--- /dev/null
+++ b/system/udisks-glue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+udisks-glue: udisks-glue (associate udisks events to user-defined actions)
+udisks-glue:
+udisks-glue: udisks-glue is a tool that can associate udisks events to
+udisks-glue: user-defined actions. In that sense, udisks-glue is almost
+udisks-glue: "glue code", hence the name.
+udisks-glue:
+udisks-glue: Homepage: https://github.com/fernandotcl/udisks-glue
+udisks-glue:
+udisks-glue:
+udisks-glue:
+udisks-glue:
diff --git a/system/udisks-glue/udisks-glue.SlackBuild b/system/udisks-glue/udisks-glue.SlackBuild
new file mode 100644
index 0000000000..ac8139204c
--- /dev/null
+++ b/system/udisks-glue/udisks-glue.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for udisks-glue
+
+# Written by Kurt Erickson <kerickson@lavabit.com>
+
+PRGNAM=udisks-glue
+VERSION=${VERSION:-d7bafe2a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+bash ./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/udisks-glue/udisks-glue.info b/system/udisks-glue/udisks-glue.info
new file mode 100644
index 0000000000..060f899fc9
--- /dev/null
+++ b/system/udisks-glue/udisks-glue.info
@@ -0,0 +1,10 @@
+PRGNAM="udisks-glue"
+VERSION="1.3.4"
+HOMEPAGE="https://github.com/fernandotcl/udisks-glue"
+DOWNLOAD="http://harrier.slackbuilds.org/misc/udisks-glue-d7bafe2a.tar.xz"
+MD5SUM="a8ea1e1dad2c2270a030b9301908c287"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="confuse"
+MAINTAINER="Kurt Erickson"
+EMAIL="kerickson@lavabit.com"